Subject: bug#3696: 23.1.50; Buffer-modified confirmation goes to wrong frame in daemon mode

From: Teemu Likonen <[email-masked]>
Date: Mon, 29 Jun 2009 08:13:43 +0300

On 2009-06-28 23:29 (-0400), Chong Yidong wrote:

>> In daemon/client mode "C-x #" (server-edit) quits too early from its
>> frame and leaves the confirm "Buffer foo modified; kill anyway? (yes
>> or no)" in wrong frame's minibuffer.
>>
>> Quite obviously the question "Buffer foo modified; kill anyway? (yes
>> or no)" should be displayed in the frame of the buffer "foo" before
>> closing the frame.
>
> I don't see why we need to prompt twice, so in this case it should be
> OK to suppress the usual kill-buffer prompt. I've checked in a fix for
> this into the trunk.

I like this "prompt only once" behavior with server mode better. Thanks.
It seems to work nicely now.